<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryDatabase Class
Members See Also Send Feedback

A class representing a secondary Berkeley DB database, a base class for access method specific classes.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public class SecondaryDatabase : BaseDatabase

Visual Basic (Declaration)

    Public Class SecondaryDatabase _
    	Inherits BaseDatabase

Visual C++

    public ref class SecondaryDatabase : public BaseDatabase

# Inheritance Hierarchy

System..::.Object
BerkeleyDB..::.BaseDatabase
BerkeleyDB..::.SecondaryDatabase
BerkeleyDB..::.SecondaryBTreeDatabase
BerkeleyDB..::.SecondaryHashDatabase
BerkeleyDB..::.SecondaryQueueDatabase
BerkeleyDB..::.SecondaryRecnoDatabase

# See Also

SecondaryDatabase Members
BerkeleyDB Namespace